<div class="h-100 d-flex">
  <div class="col-12">
    <div *ngIf="loading; else content" class="d-flex justify-content-center mt-5">
      <lib-tld-loader></lib-tld-loader>
    </div>

    <ng-template #content>
      <div class="empty-state" *ngIf="widgetList?.length==0 && !loading; else list">

        <div class="row justify-content-center">
          <div class="col mb-3">
            <img class="d-block mx-auto" src="assets/images/website-translator.svg" alt="">
          </div>
        </div>

        <div class="row text-center">
          <div class="col mb-2">
            <div class="text-xl-semi-bold">{{ 'WIDGET.TITLE_SET_UP' | translate }}</div>
          </div>
        </div>

        <div class="row text-center">
          <div class="col mb-2">
            <div class="text-l">{{ 'WIDGET.SUBTITLE' | translate }}</div>
          </div>
        </div>

        <div class="row my-3 text-center">
          <div class="col mb-5">
            <a mat-flat-button color="accent" class="navigation-btn" routerLink="./create">
              {{ 'WIDGET.NEW_WIDGET_BUTTON' | translate }}
            </a>
          </div>
        </div>

      </div>
    </ng-template>



    <ng-template #list>

      <div class="dashboard-widget" *ngIf="widgetList.length>0">

        <div class="row mb-3 text-right">
          <div class="col mb-3">
            <a mat-flat-button color="accent" class="navigation-btn" routerLink="./create">
              <mat-icon inline=true>add</mat-icon>
              {{ 'WIDGET.NEW_WIDGET_BUTTON' | translate }}
            </a>
          </div>
        </div>

        <div class="row mb-3 justify-content-center" *ngFor="let widgetItem of widgetList; let i = index">
          <div class="col-12">
            <mat-card>
              <mat-card-content>
                <div class="card-content">
                  <div>

                    <p class="text-l-semi-bold">
                      {{ widgetItem.name }}
                    </p>
                    <p class="domains-string">
                      {{ 'WIDGET.DOMAIN' | translate }} {{ widgetItem.domainsString }}
                    </p>
                    <p class="mb-0">
                      {{ 'WIDGET.IDENTIFIER' | translate }} {{ widgetItem.id }}
                    </p>

                  </div>
                  <div class="d-flex flex-column flex-lg-row justify-content-start">
                    <a class="d-flex text-m" mat-button
                      [routerLink]="['/details/text-editor', widgetItem.id]">
                      <mat-icon inline=true>edit</mat-icon>
                      {{ 'WIDGET.TEXT_EDITOR' | translate }}
                    </a>
                    <a class="d-flex text-m" mat-button [routerLink]="['/details/edit', widgetItem.id]">
                      <mat-icon inline=true>settings</mat-icon>
                      {{ 'WIDGET.SETTINGS' | translate }}
                    </a>
                  </div>
                </div>


                <div *ngIf="widgetItem.isMissingLanguageOrDomain">
                  <div class="not-supported-langs d-flex">
                    <mat-icon id="warning-icon">info</mat-icon>
                    <span>{{'WIDGET.NOT_SUPPORTED_LANGUAGES.MT_PROVIDER' | translate }}</span>
                  </div>
                </div>
              </mat-card-content>
            </mat-card>
          </div>
        </div>

      </div>
    </ng-template>
  </div>
</div>
